﻿namespace CommonTools.BindingModels
{
	/// <summary>
	/// Пагинация для получения записей
	/// </summary>
	public class PageSettingBinidingModel : AccessBindingModel
	{
		/// <summary>
		/// Номер страницы, которую получаем
		/// </summary>
		public int? PageNumber { get; set; }

		/// <summary>
		/// Количество записей возвращаемых
		/// </summary>
		public int? PageSize { get; set; }

		/// <summary>
		/// Иной признак, по которму отбираем записи
		/// </summary>
		public string PageName { get; set; }
	}
}