﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для записи приказа по студентам
	/// </summary>
	public partial class ControlOrderStudentRecordElement :
		GenericControlEntityElement<OrderStudentRecordGetBindingModel, OrderStudentRecordSetBindingModel, OrderStudentRecordListViewModel, OrderStudentRecordViewModel, OrderStudentRecordBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlOrderStudentRecordElement()
		{
			InitializeComponent();
			Title = "Запись приказа по студенту";
			ControlId = new Guid("6c3ffd3d-2c3e-426b-81f6-235129eceb3b");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderStudentRecordElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}