﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для записи истории синхронизации приказов
	/// </summary>
	public partial class ControlOrderSyncHistoryRecordElement :
		GenericControlEntityElement<OrderSyncHistoryRecordGetBindingModel, OrderSyncHistoryRecordSetBindingModel, OrderSyncHistoryRecordListViewModel, OrderSyncHistoryRecordViewModel, OrderSyncHistoryRecordBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlOrderSyncHistoryRecordElement()
		{
			InitializeComponent();
			Title = "Запись истории синхронизации приказа";
			ControlId = new Guid("2a13536d-47cb-49f0-9d05-82f69c8f2007");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderSyncHistoryRecordElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}