﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using DesktopTools.Controls;
using DesktopTools.Interfaces;
using DesktopTools.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для учебной группы
	/// </summary>
	public partial class ControlStudentGroupElement :
		GenericControlEntityElement<StudentGroupGetBindingModel, StudentGroupSetBindingModel, StudentGroupListViewModel, StudentGroupViewModel, StudentGroupBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlStudentGroupElement()
		{
			InitializeComponent();
			Title = "Учебная группа";
			ControlId = new Guid("949d6004-b10e-4e9b-8cc4-21a7c31e599a");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlStudentGroupElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}