﻿using CoreModels.Enums.Department;
using CoreModels.Tools;
using ModuleTools.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("EducationDirection", "Направление обучения кафедры")]
    [EntityDependency("Lecturer", "LecturerId", "Преподаватель, руководитель напарвления")]
    public interface IEducationDirectionModel : IId
    {
        string Cipher { get; }

        string ShortName { get; }

        string Title { get; }

        string Profile { get; }

        EducationDirectionQualification Qualification { get; }

        Guid LecturerId { get; }

        string Description { get; }
    }
}