﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace DatabaseCore.Migrations
{
    public partial class ChangeSecurityFields : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DateLocked",
                table: "Users");

            migrationBuilder.RenameColumn(
                name: "Operation",
                table: "Accesses",
                newName: "AccessOperation");

            migrationBuilder.AddColumn<DateTime>(
                name: "DateCreate",
                table: "UserRoles",
                type: "datetime2",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));

            migrationBuilder.AddColumn<DateTime>(
                name: "DateDelete",
                table: "UserRoles",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<bool>(
                name: "IsDeleted",
                table: "UserRoles",
                type: "bit",
                nullable: false,
                defaultValue: false);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "DateCreate",
                table: "UserRoles");

            migrationBuilder.DropColumn(
                name: "DateDelete",
                table: "UserRoles");

            migrationBuilder.DropColumn(
                name: "IsDeleted",
                table: "UserRoles");

            migrationBuilder.RenameColumn(
                name: "AccessOperation",
                table: "Accesses",
                newName: "Operation");

            migrationBuilder.AddColumn<DateTime>(
                name: "DateLocked",
                table: "Users",
                type: "datetime2",
                nullable: true);
        }
    }
}
