﻿using CoreModels.ModelsDepartment;
using ModuleTools.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение блока дисциплин
    /// </summary>
	public class DisciplineBlockGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение блока дисциплин
    /// </summary>
    public class DisciplineBlockSetBindingModel : SetBindingModel, IDisciplineBlockModel
    {
        [Required(ErrorMessage = "required")]
        public string Title { get; set; }

        public bool DisciplineBlockUseForGrouping { get; set; }

        [Required(ErrorMessage = "required")]
        public int DisciplineBlockOrder { get; set; }

        public string DisciplineBlockBlueAsteriskName { get; set; }
    }
}